<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 店铺技师服务项目
 */
class ShopCoachService extends Model
{
	use SoftDeletes;

	protected $table = 'shop_coach_services';

    /**
     * @Author FelixYin
     * @description 技师服务所属店铺项目
     */
    public function shopService()
    {
        return $this->belongsTo('App\Models\ShopService', 'service_id');
    }

    /**
     * @Author FelixYin
     * @description 店铺开通服务所属技师
     */
    public function coach()
    {
        return $this->belongsTo('App\Models\CoachUser', 'coach_id');
    }
}